# Based on the great ys theme (http://ysmood.org/wp/2013/03/my-ys-terminal-theme/)

# Machine name.
function box_name {
    [ -f ~/.box-name ] && cat ~/.box-name || echo $HOST
}

# Directory info.
local current_dir='${PWD/#$HOME/~}'

COLOR=green
DIRCOLOR=red
BRACKETCOLOR=yellow
# Prompt format: \n [USER@MACHINE:DIRECTORY] (BRANCH) STATE [TIME] \n $

OPENNIGBRACKET="%F{$BRACKETCOLOR}[%f"
NAMEANDMACHINE="%F{$COLOR}%n@$(box_name):%f"
CURDIRECTOTORY="%F{$DIRCOLOR}${current_dir}%f"
CLOSINGBRACKET="%F{$BRACKETCOLOR}]%f"
COMMANDPOINTER="%F{$COLOR}-> %f"

PROMPT="%B$OPENNIGBRACKET$NAMEANDMACHINE$CURDIRECTOTORY$CLOSINGBRACKET$COMMANDPOINTER%b"
